/* ************************************************************** *
 *                                                                *
 * Copyright (c) 2005, Kota Mizushima, All rights reserved.       *
 *                                                                *
 *                                                                *
 * This software is distributed under the modified BSD License.   *
 * ************************************************************** */
package org.onion_lang.onion.lang.kernel;

import org.onion_lang.onion.lang.kernel.type.TypeSymbol;

/**
 * @author Kota Mizushima
 * Date: 2005/06/21
 */
public class ListNode extends ExpressionNode {
  private final ExpressionNode[] elements;
  private final TypeSymbol type;
  
  public ListNode(ExpressionNode[] elements, TypeSymbol type) {
    this.elements = elements;
    this.type = type;
  } 
  
  public ExpressionNode[] getElements() {
    return elements;
  }
  
  public TypeSymbol type() { return type; }
}